kernel still breaking. updated name which may have been issue

This commit is contained in:
tumillanino
2026-04-09 15:59:23 +10:00
parent c6ffa3591f
commit 3f52e6286f
154 changed files with 0 additions and 6215 deletions

View File

@@ -1,15 +0,0 @@
# README.md
This folder contains
## base/
Scripts for use with DIY images, based on vanilla Fedora Silverblue as opposed to UBlue's `silverblue-main`
# shared/
Scripts for use with all images regardless of base
# solarizzed/
Scripts for use with `solarizzed` only, mainly contains KDE Plasma-related scripts

View File

@@ -1,10 +0,0 @@
#!/usr/bin/env bash
# Tell this script to exit if there are any errors.
# You should have this in every custom script, to ensure that your completed
# builds actually ran successfully without any errors!
set -oue pipefail
# Your code goes here.
echo 'This is an example shell script'
echo 'Scripts here will run during build if specified in recipe.yml'

View File

@@ -1,25 +0,0 @@
#!/usr/bin/env bash
set -ouex pipefail
OS_VERSION=$(rpm -E %fedora)
VER=$(basename $(curl -Ls -o /dev/null -w %{url_effective} https://github.com/bazzite-org/kernel-bazzite/releases/latest))
dnf -y remove kernel-* && rm -drf /usr/lib/modules/*
echo 'Installing Bazzite kernel...'
dnf install -y \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-common-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-core-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-devel-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-devel-matched-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-modules-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-modules-akmods-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-modules-core-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-modules-extra-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-modules-extra-matched-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-modules-internal-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-tools-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-tools-libs-$VER.fc$OS_VERSION.x86_64.rpm

View File

@@ -1,50 +0,0 @@
#!/usr/bin/env bash
# Remove Fedora kernel & remove leftover files
dnf -y remove \
kernel \
kernel-* && \
rm -r -f /usr/lib/modules/*
# Install dnf-plugins-core just in case
dnf -y install --setopt=install_weak_deps=False \
dnf-plugins-core \
dnf5-plugins
# Configure exclusion
dnf -y config-manager setopt "fedora*".exclude=" \
kernel \
kernel-core \
kernel-modules \
kernel-modules-core \
kernel-modules-extra \
kernel-devel \
kernel-headers \
"
# Enable repos for kernel-blu and akmods
dnf -y copr enable sentry/kernel-blu
# dnf -y copr enable ublue-os/akmods
dnf -y config-manager addrepo --from-repofile=https://raw.githubusercontent.com/terrapkg/subatomic-repos/main/terra.repo
dnf -y config-manager addrepo --from-repofile=https://negativo17.org/repos/fedora-multimedia.repo
# Install akmods, kernel, and modules
dnf -y install --setopt=install_weak_deps=False \
kernel \
kernel-devel \
kernel-modules-extra \
akmods \
akmod-evdi \
help2man \
v4l2loopback \
zenergy
# Manually build modules, run depmod & generate initramfs
VER=$(ls /lib/modules) &&
akmods --force --kernels $VER --kmod v4l2loopback &&
akmods --force --kernels $VER --kmod zenergy &&
depmod -a $VER &&
dracut --kver $VER --force --add ostree --no-hostonly --reproducible /usr/lib/modules/$VER/initramfs.img
# Clean up repos from earlier
rm -f /etc/yum.repos.d/{*copr*,*terra*,*multimedia*}.repo

View File

@@ -1,56 +0,0 @@
#!/usr/bin/env bash
# Remove Fedora kernel & remove leftover files
dnf -y remove \
kernel \
kernel-* && \
rm -r -f /usr/lib/modules/*
# Install dnf-plugins-core just in case
dnf -y install --setopt=install_weak_deps=False \
dnf-plugins-core \
dnf5-plugins
# Enable repos
dnf -y copr enable bieszczaders/kernel-cachyos-lto
dnf -y copr enable bieszczaders/kernel-cachyos-addons
# dnf -y copr enable ublue-os/akmods
dnf -y config-manager addrepo --from-repofile=https://negativo17.org/repos/fedora-multimedia.repo
dnf -y config-manager addrepo --from-repofile=https://raw.githubusercontent.com/terrapkg/subatomic-repos/main/terra.repo
# Handles kernel post-transaction scriptlet
# mv /usr/lib/kernel/install.d/05-rpmostree.install /usr/lib/kernel/install.d/05-rpmostree.install.bak
# mv /usr/lib/kernel/install.d/50-dracut.install /usr/lib/kernel/install.d/50-dracut.install.bak
# printf '%s\n' '#!/bin/sh' 'exit 0' > /usr/lib/kernel/install.d/05-rpmostree.install
# printf '%s\n' '#!/bin/sh' 'exit 0' > /usr/lib/kernel/install.d/50-dracut.install
# chmod +x \
# /usr/lib/kernel/install.d/05-rpmostree.install \
# /usr/lib/kernel/install.d/50-dracut.install
# Install CachyOS LTO kernel & akmods
dnf -y install --setopt=install_weak_deps=False \
kernel-cachyos-lto \
kernel-cachyos-lto-devel \
akmods \
akmod-evdi \
zenergy \
scx-scheds \
scx-tools \
scx-manager
dnf -y swap zram-generator-defaults cachyos-settings
# Handles kernel post-transaction scriptlet
# rm -f /usr/lib/kernel/install.d/05-rpmostree.install \
# /usr/lib/kernel/install.d/50-dracut.install
# mv /usr/lib/kernel/install.d/05-rpmostree.install.bak /usr/lib/kernel/install.d/05-rpmostree.install
# mv /usr/lib/kernel/install.d/50-dracut.install.bak /usr/lib/kernel/install.d/50-dracut.install
# Manually build modules, run depmod & generate initramfs
VER=$(ls /lib/modules) && \
akmods --force --kernels $VER --kmod zenergy && \
akmods --force --kernels $VER --kmod evdi && \
depmod -a $VER && \
dracut --kver $VER --force --add ostree --no-hostonly --reproducible /usr/lib/modules/$VER/initramfs.img
# Clean up repos from earlier
rm -f /etc/yum.repos.d/{*copr*,*multimedia*,*terra*}.repo

View File

@@ -1,31 +0,0 @@
#!/usr/bin/env bash
# Install dnf-plugins-core just in case
dnf -y install --setopt=install_weak_deps=False \
dnf-plugins-core \
dnf5-plugins
# Enable repos for akmods
dnf -y copr enable ublue-os/akmods
dnf -y config-manager addrepo --from-repofile=https://raw.githubusercontent.com/terrapkg/subatomic-repos/main/terra.repo
dnf config-manager addrepo --from-repofile=https://negativo17.org/repos/fedora-multimedia.repo
# Install akmods, kernel, and modules
dnf -y install --setopt=install_weak_deps=False \
kernel-devel \
kernel-modules-extra \
akmods \
akmod-evdi \
help2man \
v4l2loopback \
zenergy
# Manually build modules, run depmod & generate initramfs
VER=$(ls /lib/modules) &&
akmods --force --kernels $VER --kmod v4l2loopback &&
akmods --force --kernels $VER --kmod zenergy &&
depmod -a $VER &&
dracut --kver $VER --force --add ostree --no-hostonly --reproducible /usr/lib/modules/$VER/initramfs.img
# Clean up repos from earlier
rm -f /etc/yum.repos.d/{*copr*,*terra*,*multimedia*}.repo

View File

@@ -1,18 +0,0 @@
#!/usr/bin/env bash
set -oue pipefail
echo 'Preparing directory for cloning...'
mkdir -p /tmp/clone/Adwaita-colors/
cd /tmp/clone/Adwaita-colors/
echo 'Directory created.'
git clone https://github.com/dpejoh/Adwaita-colors
echo 'Repo cloned. Copying files...'
cp -r ./Adwaita-colors/* /usr/share/icons/
echo 'Folders copied. Cleaning up!'
rm -r Adwaita-colors/
echo 'Cloned repo deleted.'

View File

@@ -1,18 +0,0 @@
#!/usr/bin/env bash
VER=$(basename $(curl -Ls -o /dev/null -w %{url_effective} https://github.com/pkgforge-dev/android-tools-AppImage/releases/latest))
curl -fLs --create-dirs https://github.com/pkgforge-dev/android-tools-AppImage/releases/download/${VER}/Android_Tools-${VER%@*}-anylinux-x86_64.AppImage -o /usr/bin/android-tools
chmod +x /usr/bin/android-tools
mkdir -p /tmp/android-tmp/
(
cd /tmp/android-tmp/
/usr/bin/android-tools --appimage-extract
)
readarray -t BINS < <(find /tmp/android-tmp/AppDir/bin/ -type f -printf "%f\n")
rm -rf /tmp/android-tmp/
for bin in "${BINS[@]}"; do
case "$bin" in
*xdg-open|*.hook|*.conf) continue;;
esac
ln -fs /usr/bin/android-tools /usr/bin/"$bin"
done

View File

@@ -1,32 +0,0 @@
#!/usr/bin/env bash
set -oue pipefail
GITHUB_URL="https://github.com/vinceliuice/Colloid-icon-theme"
if [ -z "$GITHUB_URL" ]; then
echo "Error: GITHUB_URL is not set."
exit 1
fi
REPO_NAME=$(basename "$GITHUB_URL" .git)
CLONE_DIR="/tmp/clone/$REPO_NAME"
echo "Preparing directory for cloning..."
mkdir -p "$CLONE_DIR"
cd "$CLONE_DIR"
echo "Directory created."
git clone "$GITHUB_URL"
echo "Repo cloned. Copying files..."
if [ -f "./$REPO_NAME/install.sh" ]; then
chmod +x "./$REPO_NAME/install.sh"
./"$REPO_NAME/install.sh" -d /usr/share/icons -s default -t default -b
fi
echo "Folders copied. Cleaning up!"
rm -drf "$CLONE_DIR"
echo "Cloned repo deleted."
echo "Script finished. Theme installation complete."

View File

@@ -1,7 +0,0 @@
#!/usr/bin/env bash
set -euox pipefail
tee "/etc/dracut.conf.d/00-dp-2.conf" > /dev/null << 'EOF'
install_items+=" /lib/firmware/edid/edid.bin "
EOF

View File

@@ -1,49 +0,0 @@
#!/usr/bin/env bash
set -oue pipefail
GITHUB_URL="https://github.com/somepaulo/MoreWaita"
if [ -z "$GITHUB_URL" ]; then
echo "Error: GITHUB_URL is not set."
exit 1
fi
REPO_NAME=$(basename "$GITHUB_URL" .git)
CLONE_DIR="/tmp/clone/$REPO_NAME"
echo "Preparing directory for cloning..."
mkdir -p "$CLONE_DIR"
cd "$CLONE_DIR"
echo "Directory created."
git clone "$GITHUB_URL"
echo "Repo cloned. Copying files..."
if [ -f "./$REPO_NAME/install.sh" ]; then
chmod +x "./$REPO_NAME/install.sh"
./"$REPO_NAME/install.sh"
fi
echo "Folders copied. Cleaning up!"
rm -drf "$CLONE_DIR"
echo "Cloned repo deleted."
echo "Script finished. Theme installation complete."
# ---
# echo 'Preparing directory for cloning...'
# mkdir -p /tmp/clone/MoreWaita/
# cd /tmp/clone/MoreWaita/
# echo 'Directory created.'
# git clone https://github.com/somepaulo/MoreWaita.git
# echo 'Repo cloned. Running install script...'
# MoreWaita/install.sh
# cho 'Install script finished. Removing cloned repo...'
# rm -r MoreWaita
# echo 'Cloned repo deleted.'

View File

@@ -1,22 +0,0 @@
#!/usr/bin/env bash
set -oue pipefail
echo 'Preparing directory for cloning...'
mkdir -p /tmp/clone/nautilus-copy-path/
cd /tmp/clone/nautilus-copy-path/
echo 'Directory created.'
git clone https://github.com/chr314/nautilus-copy-path.git
echo 'Repo cloned. Copying files...'
mkdir -p /usr/share/nautilus-python/extensions/nautilus-copy-path
cp ./nautilus-copy-path/nautilus-copy-path.py /usr/share/nautilus-python/extensions
cp ./nautilus-copy-path/nautilus_copy_path.py ./nautilus-copy-path/translation.py ./nautilus-copy-path/config.json /usr/share/nautilus-python/extensions/nautilus-copy-path
cp -rf ./nautilus-copy-path/translations /usr/share/nautilus-python/extensions/nautilus-copy-path
echo 'Install script finished. Removing cloned repo...'
rm -r nautilus-copy-path
echo 'Cloned repo deleted.'

View File

@@ -1,32 +0,0 @@
#!/usr/bin/env bash
set -oue pipefail
GITHUB_URL="https://github.com/vinceliuice/Qogir-icon-theme"
if [ -z "$GITHUB_URL" ]; then
echo "Error: GITHUB_URL is not set."
exit 1
fi
REPO_NAME=$(basename "$GITHUB_URL" .git)
CLONE_DIR="/tmp/clone/$REPO_NAME"
echo "Preparing directory for cloning..."
mkdir -p "$CLONE_DIR"
cd "$CLONE_DIR"
echo "Directory created."
git clone "$GITHUB_URL"
echo "Repo cloned. Copying files..."
if [ -f "./$REPO_NAME/install.sh" ]; then
chmod +x "./$REPO_NAME/install.sh"
./"$REPO_NAME/install.sh" -t default -c standard
fi
echo "Folders copied. Cleaning up!"
rm -drf "$CLONE_DIR"
echo "Cloned repo deleted."
echo "Script finished. Theme installation complete."

View File

@@ -1,32 +0,0 @@
#!/usr/bin/env bash
set -oue pipefail
GITHUB_URL="https://github.com/vinceliuice/Tela-icon-theme"
if [ -z "$GITHUB_URL" ]; then
echo "Error: GITHUB_URL is not set."
exit 1
fi
REPO_NAME=$(basename "$GITHUB_URL" .git)
CLONE_DIR="/tmp/clone/$REPO_NAME"
echo "Preparing directory for cloning..."
mkdir -p "$CLONE_DIR"
cd "$CLONE_DIR"
echo "Directory created."
git clone "$GITHUB_URL"
echo "Repo cloned. Copying files..."
if [ -f "./$REPO_NAME/install.sh" ]; then
chmod +x "./$REPO_NAME/install.sh"
./"$REPO_NAME/install.sh" -d /usr/share/icons
fi
echo "Folders copied. Cleaning up!"
rm -drf "$CLONE_DIR"
echo "Cloned repo deleted."
echo "Script finished. Theme installation complete."